org.bouncycastle.jce.provider.asymmetric.ec

## Class KeyPairGenerator

- java.lang.Object
- - java.security.KeyPairGeneratorSpi
  - - java.security.KeyPairGenerator
    - - org.bouncycastle.jce.provider.JDKKeyPairGenerator
      - - org.bouncycastle.jce.provider.asymmetric.ec.KeyPairGenerator

Direct Known Subclasses:
  KeyPairGenerator.EC

    public abstract class KeyPairGenerator
    extends JDKKeyPairGenerator

### Nested Class Summary

Nested Classes
`static class` `KeyPairGenerator.EC`
`static class` `KeyPairGenerator.ECDH`
`static class` `KeyPairGenerator.ECDHC`
`static class` `KeyPairGenerator.ECDSA`
`static class` `KeyPairGenerator.ECGOST3410`
`static class` `KeyPairGenerator.ECMQV`

### Nested classes/interfaces inherited from class org.bouncycastle.jce.provider.JDKKeyPairGenerator

`JDKKeyPairGenerator.DH, JDKKeyPairGenerator.DSA, JDKKeyPairGenerator.ElGamal, JDKKeyPairGenerator.GOST3410, JDKKeyPairGenerator.RSA`

### Constructor Summary

Constructors
Constructor and Description
`KeyPairGenerator(java.lang.String algorithmName)`

### Method Summary

### Methods inherited from class org.bouncycastle.jce.provider.JDKKeyPairGenerator

`generateKeyPair, initialize`

### Methods inherited from class java.security.KeyPairGenerator

`genKeyPair, getAlgorithm, getInstance, getInstance, getInstance, getProvider, initialize, initialize, initialize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KeyPairGenerator

    public KeyPairGenerator(java.lang.String algorithmName)